#!/usr/bin/perl

# BEGIN CONF

$adminuser   = "admin";
$password    = "admin123";
$apacheuser  = "apache";
$apachegroup = "apache";

# END CONF

$pwd = `pwd`;
chomp($pwd);

open(FIL, ">>survey.conf") || die;

print FIL <<PARTA;

AddType text/html .auth

<Directory $pwd/webroot/auth>
  <Files *.auth>
    SetHandler perl-script
    PerlHandler Survey::Auth::DomainAuthServer
    PerlSendHeader "Off"
  </Files>
</Directory>

AddType text/html .edit

<Directory $pwd/webroot/auth>
  <Files *.edit>
    SetHandler perl-script
    PerlHandler Survey::Auth::DomainAuthEditor
    PerlSendHeader "Off"
    AuthType Basic
    AuthName DomainEditor
    PerlAuthenHandler ModPerl::AuthAny
  </Files>
</Directory>

PARTA

close(FIL);

system "mkdir $pwd/webroot/auth";
system "mkdir $pwd/data/domains";

open(FIL, ">$pwd/data/domains/meta.domain") || die;
print FIL <<PARTB;
type=file
filename=meta.pwd
owner=$adminuser

PARTB

close(FIL);

open(FIL, ">$pwd/data/domains/meta.pwd") || die;
print FIL "$adminuser:" . crypt($password, "xx") . "\n";
close(FIL);

system "chown -R $apacheuser:$apachegroup $pwd/data/domains";

